How to fix CVE-2019-9848 and CVE-2019-9849 unpatched code execution vulnerability on LibreOffice

CVE-2019-9848 and CVE-2019-9849 could allow an attacker to deploy malicious document silently execute arbitrary python commands without any warning to a targeted user, discovered by Nils Emmerich. Here how to fix CVE-2019-9848 and CVE-2019-9849 vulnerability on LibreOffice

How to fix CVE-2019-9848 and CVE-2019-9849 unpatched code execution vulnerability on LibreOffice
How to fix CVE-2019-9848 and CVE-2019-9849 unpatched code execution vulnerability on LibreOffice
  1. Upgrade you LibreOffice to lastest version will help you fix CVE-2019-9849 vulnerability
  2. CVE-2019-9848 still existed on lastest version. The only way now to fix CVE-2019-9848 is repair you LibreOffice and remove LibreLogo function and way for the next update if you want use this function again.

Here how to fix CVE-2019-9848 and CVE-2019-9849 vulnerability:

  • Download lastest version of LibreOffice
  • Open the lastest version setup to start the upgrade or new install (this will fix CVE-2019-9849 vulnerability)
  • Choose “Custom
  • Click to expand “Optional Components
  • Click on “LibreLogo” and select “This Feature Will Not Be Available” ( CVE-2019-9848 vulnerability)
  • Click Next and then Install the software
How to fix CVE-2019-9848 and CVE-2019-9849 unpatched code execution vulnerability on LibreOffice
How to fix CVE-2019-9848 and CVE-2019-9849 unpatched code execution vulnerability on LibreOffice

Have a nice day…

…………………………..
More Info:
https://insinuator.net/2019/07/libreoffice-a-python-interpreter-code-execution-vulnerability-cve-2019-9848/
https://thehackernews.com/2019/07/libreoffice-vulnerability.html

Leave a Reply

Your email address will not be published. Required fields are marked *